org.apache.solr.client.solrj.cloud.autoscaling

## Class DelegatingNodeStateProvider

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.DelegatingNodeStateProvider

All Implemented Interfaces:
  Closeable, AutoCloseable, NodeStateProvider, SolrCloseable

    public class DelegatingNodeStateProvider
    extends Object
    implements NodeStateProvider

Base class for overriding some behavior of `NodeStateProvider`.

### Constructor Summary

Constructors
Constructor and Description
`DelegatingNodeStateProvider(NodeStateProvider delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`Map<String,Object>` `getNodeValues(String node, Collection<String> tags)` Get the value of each tag for a given node
`Map<String,Map<String,List<ReplicaInfo>>>` `getReplicaInfo(String node, Collection<String> keys)` Get the details of each replica in a node.
`boolean` `isClosed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingNodeStateProvider

    public DelegatingNodeStateProvider(NodeStateProvider delegate)

### Method Detail

#### getNodeValues

    public Map<String,Object> getNodeValues(String node,
                                            Collection<String> tags)

Description copied from interface: `NodeStateProvider`
Get the value of each tag for a given node

Specified by:
  `getNodeValues` in interface `NodeStateProvider`
Parameters:
  `node` - node name
  `tags` - tag names
Returns:
  a map of tag vs value

#### getReplicaInfo

    public Map<String,Map<String,List<ReplicaInfo>>> getReplicaInfo(String node,
                                                                    Collection<String> keys)

Description copied from interface: `NodeStateProvider`
Get the details of each replica in a node. It attempts to fetch as much details about the replica as mentioned in the keys list. It is not necessary to give all details

The format is {collection:shard :[{replicadetails}]}.

Specified by:
  `getReplicaInfo` in interface `NodeStateProvider`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `SolrCloseable`